import { Storage } from '../../util/storage';
import { BaseApi } from '../../base/base-api';
import { DrupalApi } from './drupal-api';
import { ConfigService } from '../../config/config-service';
export declare class Drupal {
    api: BaseApi;
    jsonApi: DrupalApi;
    jDrupal: any;
    config: ConfigService;
    settings: any;
    user: any;
    authenticated: boolean;
    saveLocalModel: typeof Storage.saveLocalModel;
    restoreLocalModel: typeof Storage.restoreLocalModel;
    cache: boolean;
    model: any;
    credentials: any;
    routes: any;
    siteParams: any;
    baseUrl: string;
    domain: string;
    options: any;
    version: string;
    static: boolean;
    standalone: boolean;
    base_path: string;
    protocol: string;
    cors: boolean;
    isLocal: boolean;
    file_directory_path: string;
    sites: any;
    defaultUser: string;
    defaultAuthHeader: string;
    constructor(config?: any, apiService?: any);
    init(options: any): any;
    initApi(options: any): void;
    login(username: any, password: any): any;
    logout(): any;
    getParams(): any;
    getView(viewEntity: any, params?: any): any;
    getAppNode(uuid: any): any;
    getSiteData(promises: any): any;
    getLocalStorageCredentials(): any;
    menuLoad(mid: string, preloadNodes?: boolean): Promise<void>;
    bookLoad(bid: number, preload?: boolean): any;
    parseBookTree(bid: number): any;
    nodeLoad(nid: number): any;
    nodesLoad(nids: any): any;
    createNode(data: any): any;
}
